services:
    console.command_collection:
        class: phpbb\di\service_collection
        arguments:
            - @service_container
        tags:
            - { name: service_collection, tag: console.command }

    console.command.cache.purge:
        class: phpbb\console\command\cache\purge
        arguments:
            - @user
            - @cache.driver
            - @dbal.conn
            - @auth
            - @log
            - @config
        tags:
            - { name: console.command }

    console.command.config.delete:
        class: phpbb\console\command\config\delete
        arguments:
            - @user
            - @config
        tags:
            - { name: console.command }

    console.command.config.increment:
        class: phpbb\console\command\config\increment
        arguments:
            - @user
            - @config
        tags:
            - { name: console.command }

    console.command.config.get:
        class: phpbb\console\command\config\get
        arguments:
            - @user
            - @config
        tags:
            - { name: console.command }

    console.command.config.set:
        class: phpbb\console\command\config\set
        arguments:
            - @user
            - @config
        tags:
            - { name: console.command }

    console.command.config.set_atomic:
        class: phpbb\console\command\config\set_atomic
        arguments:
            - @user
            - @config
        tags:
            - { name: console.command }

    console.command.cron.list:
        class: phpbb\console\command\cron\cron_list
        arguments:
            - @user
            - @cron.manager
        tags:
            - { name: console.command }

    console.command.cron.run:
        class: phpbb\console\command\cron\run
        arguments:
            - @user
            - @cron.manager
            - @cron.lock_db
        tags:
            - { name: console.command }

    console.command.db.migrate:
        class: phpbb\console\command\db\migrate
        arguments:
            - @user
            - @migrator
            - @ext.manager
            - @config
            - @cache
            - @log
            - %core.root_path%
        tags:
            - { name: console.command }

    console.command.dev.migration_tips:
        class: phpbb\console\command\dev\migration_tips
        arguments:
            - @user
            - @ext.manager
        tags:
            - { name: console.command }

    console.command.extension.disable:
        class: phpbb\console\command\extension\disable
        arguments:
            - @user
            - @ext.manager
            - @log
        tags:
            - { name: console.command }

    console.command.extension.enable:
        class: phpbb\console\command\extension\enable
        arguments:
            - @user
            - @ext.manager
            - @log
        tags:
            - { name: console.command }

    console.command.extension.purge:
        class: phpbb\console\command\extension\purge
        arguments:
            - @user
            - @ext.manager
            - @log
        tags:
            - { name: console.command }

    console.command.extension.show:
        class: phpbb\console\command\extension\show
        arguments:
            - @user
            - @ext.manager
            - @log
        tags:
            - { name: console.command }

    console.command.fixup.recalculate_email_hash:
        class: phpbb\console\command\fixup\recalculate_email_hash
        arguments:
            - @user
            - @dbal.conn
        tags:
            - { name: console.command }
